Difference between revisions of "OpenSCAD ScaleMeshFeature"

From FreeCAD Documentation
Jump to navigation Jump to search
(Module to Workbench renaming.)
 
(9 intermediate revisions by 4 users not shown)
Line 5: Line 5:
 
|[[OpenSCAD_MirrorMeshFeature|Mirror Mesh Feature]]
 
|[[OpenSCAD_MirrorMeshFeature|Mirror Mesh Feature]]
 
|[[OpenSCAD_ResizeMeshFeature|Resize Mesh Feature]]
 
|[[OpenSCAD_ResizeMeshFeature|Resize Mesh Feature]]
|[[OpenSCAD_Module|OpenSCAD]]
+
|[[OpenSCAD_Workbench|OpenSCAD]]
 
|IconL=OpenSCAD_MirrorMeshFeature.svg
 
|IconL=OpenSCAD_MirrorMeshFeature.svg
 +
|IconR=OpenSCAD_ResizeMeshFeature.svg
 
|IconC=Workbench_OpenSCAD.svg
 
|IconC=Workbench_OpenSCAD.svg
|IconR=Workbench_OpenSCAD.svg
 
 
}}
 
}}
  
 
<!--T:2-->
 
<!--T:2-->
 
{{GuiCommand
 
{{GuiCommand
|Name=OpenSCAD ScaleMesh
+
|Name=OpenSCAD ScaleMeshFeature
 
|MenuLocation=OpenSCAD → Scale Mesh Feature
 
|MenuLocation=OpenSCAD → Scale Mesh Feature
|Workbenches=[[OpenSCAD Module|OpenSCAD]]
+
|Workbenches=[[OpenSCAD_Workbench|OpenSCAD]]
 
|SeeAlso=[[Mesh_Scale|Mesh Scale]]
 
|SeeAlso=[[Mesh_Scale|Mesh Scale]]
 
}}
 
}}
Line 24: Line 24:
 
Creates a new scaled mesh object with independent scaling for each axis.
 
Creates a new scaled mesh object with independent scaling for each axis.
  
</translate>
 
[[File:OpenSCAD ScaleMesh.svg]]
 
<translate>
 
 
==Usage== <!--T:15-->  
 
==Usage== <!--T:15-->  
  
 
<!--T:5-->
 
<!--T:5-->
# Select the mesh object to be scaleed.
+
# Select the mesh object to be scaled.
 
# Click the {{KEY|OpenSCAD → Scale Mesh Feature...}} menu.
 
# Click the {{KEY|OpenSCAD → Scale Mesh Feature...}} menu.
 
# Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
 
# Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
* A parent-object is created and mirrored, the original object is rendered hidden.
+
* A new mesh object is created and scaled, the original object is rendered hidden.
  
 
==Limitations== <!--T:16-->  
 
==Limitations== <!--T:16-->  
  
 
<!--T:6-->
 
<!--T:6-->
* The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new mirrored object.
+
* The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new scaled object.
  
 
==Notes== <!--T:17-->  
 
==Notes== <!--T:17-->  
Line 48: Line 45:
 
import OpenSCADUtils
 
import OpenSCADUtils
 
import Mesh
 
import Mesh
#this assumes an existing object in the document named "Mesh" that you wish to mirror
+
#this assumes an existing object in the document named "Mesh" that you wish to scale
 
original_mesh = App.ActiveDocument.Mesh
 
original_mesh = App.ActiveDocument.Mesh
scale_mesh = OpenSCADUtils.scalemesh(original_mesh.Mesh, FreeCAD.Base.Vector(1,0,0))
+
scaled_mesh = OpenSCADUtils.scalemesh(original_mesh.Mesh, FreeCAD.Base.Vector(1,0,0))
 
Mesh.show(scaled_mesh)
 
Mesh.show(scaled_mesh)
 
}}
 
}}
 
 
  
  
Line 61: Line 56:
 
|[[OpenSCAD_MirrorMeshFeature|Mirror Mesh Feature]]
 
|[[OpenSCAD_MirrorMeshFeature|Mirror Mesh Feature]]
 
|[[OpenSCAD_ResizeMeshFeature|Resize Mesh Feature]]
 
|[[OpenSCAD_ResizeMeshFeature|Resize Mesh Feature]]
|[[OpenSCAD_Module|OpenSCAD]]
+
|[[OpenSCAD_Workbench|OpenSCAD]]
 
|IconL=OpenSCAD_MirrorMeshFeature.svg
 
|IconL=OpenSCAD_MirrorMeshFeature.svg
 +
|IconR=OpenSCAD_ResizeMeshFeature.svg
 
|IconC=Workbench_OpenSCAD.svg
 
|IconC=Workbench_OpenSCAD.svg
|IconR=Workbench_OpenSCAD.svg
 
 
}}
 
}}
  

Latest revision as of 12:35, 23 August 2021

Other languages:
English • ‎français • ‎italiano • ‎polski

OpenSCAD ScaleMeshFeature.svg OpenSCAD ScaleMeshFeature

Menu location
OpenSCAD → Scale Mesh Feature
Workbenches
OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Mesh Scale

Description

Creates a new scaled mesh object with independent scaling for each axis.

Usage

  1. Select the mesh object to be scaled.
  2. Click the OpenSCAD → Scale Mesh Feature... menu.
  3. Select the desired axis in the dialog, or enter your own custom axis to use and click OK.
  • A new mesh object is created and scaled, the original object is rendered hidden.

Limitations

  • The new mesh object is not parametric to the original mesh object, which means any changes to the original object do not get reflected in the new scaled object.

Notes

  • The function does not modify the existing mesh, but returns a new mesh.
  • The function can be accessed via python:
import OpenSCADUtils
import Mesh
#this assumes an existing object in the document named "Mesh" that you wish to scale
original_mesh = App.ActiveDocument.Mesh
scaled_mesh = OpenSCADUtils.scalemesh(original_mesh.Mesh, FreeCAD.Base.Vector(1,0,0))
Mesh.show(scaled_mesh)